Subject: Re: bug#4147: 23.1.50: Info-search command strange behaviour

From: Juri Linkov <[email-masked]>
Date: Sat, 05 Dec 2009 21:50:22 +0200

>>>     s blahblah RET
>>>     => Says it can't find it, but moves point forward a few characters.
>
> The odd behavior when point moves forward by a few characters
> is caused by breadcrumbs inserted to the Info buffer (the distance
> point moves forward is the length of the breadcrumbs string).

To fix this one idea is to remove the breadcrumbs line on leaving
from the node, so breadcrumbs in all nodes located above the current
node will not affect the point position.  And in the case of getting
the current point position, subtract the length of breadcrumbs in
the current node.

> Setting `Info-breadcrumbs-depth' to 0 fixes this problem.
> But it is difficult to fix this when `Info-breadcrumbs-depth' > 0.
>
>>> Go back to the Info directory:
>>>     d
>>> Search:
>>>     s blahblah RET
>>>     => Says "Wrong type argument: stringp, nil"
>
> For unknown reasons, `Info-current-subfile' is not nil in `dir'.
> I'll take care of this bug.

This part of the bug report is fixed now.

-- 
Juri Linkov
http://www.jurta.org/emacs/